Subject: Cannot run pre-compiled Firefox

From: Arne Babenhauserheide <[email-masked]>
Date: Wed, 11 Dec 2019 11:53:41 +0100

Hi,

Until about two months ago I could run firefox binaries downloaded via
https://download.mozilla.org/?product=firefox-latest-ssl&os=linux64&lang=en-US

For about two months now I’m seeing segfaults when I try to run it.

Previously I got it working with the following setup:

cd $HOME/Downloads/firefox
export LD_LIBRARY_PATH="${LD_LIBRARY_PATH}:/run/current-system/profile/lib/:$HOME/.guix-profile/lib/:$HOME/.guix-profile/lib/nss/:$HOME/.guix-profile/lib/lib/:/gnu/store/69x60a1pn0mf5jv68al8awjfkyp1miwi-gcc-8.3.0-lib/lib/:./browser:."
./firefox-bin

This used to work with only minor limitations.

Now what I get is

./firefox-bin
Speicherzugriffsfehler (segmentation fault)

With gdb I get the following:

$ gdb ./firefox-bin
…
Reading symbols from ./firefox-bin...
(No debugging symbols found in ./firefox-bin)
(gdb) run
Starting program: /home/arne/Downloads/firefox/firefox-bin

Program received signal SIGSEGV, Segmentation fault.
0x0000000000000000 in ?? ()
(gdb) bt
#0  0x0000000000000000 in ?? ()
#1  0x00007ffff7c28d38 in ?? ()
#2  0x0000000000000000 in ?? ()

Do you know a way to fix this? I need a way to test different firefox
versions, because I use Guix in homeoffice which includes web
development. If I can’t get these to run, I might have to switch away to
a different distribution. There’s so much going for Guix that I want to
keep it, but being able to run binaries compiled for Linux X86_64 is a
hard requirement for work.

Best wishes,
Arne
--
Unpolitisch sein
heißt politisch sein
ohne es zu merken